Подробности за поръчка
Получете купените продукти, количества, цени, клиент, доставка и суми за една поръчка. В адреса на заявката използвайте идентификатора от списъка.
GET
/api/v1/orders/{order_id}cURL заявка
curl --disable --globoff --fail-with-body --silent --show-error \
--proto '=https' --connect-timeout 5 --max-time 30 \
--request GET \
--url https://shop.onshopently.com/api/v1/orders/order-0000 \
--header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN'
Отговор
{
"data": {
"created_at": "2026-10-19T10:00:00Z",
"customer": {
"email": "customer@example.invalid",
"first_name": "Example",
"last_name": "Example",
"phone": null
},
"delivery": {
"amount": {
"amount": "0.00",
"currency": "PLN",
"minor_units": 2
},
"dates": {
"dispatch_timezone": "Europe/Warsaw",
"estimated_delivery_from": "2026-10-20",
"estimated_delivery_to": "2026-10-21",
"planned_dispatch_on": "2026-10-19"
},
"discount_gross": {
"amount": "24.60",
"currency": "PLN",
"minor_units": 2
},
"discount_net": {
"amount": "20.00",
"currency": "PLN",
"minor_units": 2
},
"discount_tax": {
"amount": "4.60",
"currency": "PLN",
"minor_units": 2
},
"discounts": [
{
"amount": {
"amount": "24.60",
"currency": "PLN",
"minor_units": 2
},
"campaign_id": "saved-coupon",
"code": "SAVE",
"kind": "coupon",
"name": "Saved coupon",
"sequence": 1,
"version": 3
}
],
"gross": {
"amount": "0.00",
"currency": "PLN",
"minor_units": 2
},
"method_code": "shipping-old",
"method_name": "Historic carrier",
"net": {
"amount": "0.00",
"currency": "PLN",
"minor_units": 2
},
"original_gross": {
"amount": "24.60",
"currency": "PLN",
"minor_units": 2
},
"original_net": {
"amount": "20.00",
"currency": "PLN",
"minor_units": 2
},
"original_tax": {
"amount": "4.60",
"currency": "PLN",
"minor_units": 2
},
"pickup_point": null,
"recipient_mode": "full_address",
"tax": {
"amount": "0.00",
"currency": "PLN",
"minor_units": 2
},
"tax_category_id": "standard",
"tax_category_name": "VAT 23%",
"tax_rate": "0.23"
},
"discount_amount": {
"amount": "24.60",
"currency": "PLN",
"minor_units": 2
},
"discounts": [
{
"amount": {
"amount": "12.30",
"currency": "PLN",
"minor_units": 2
},
"campaign_id": "saved-coupon",
"code": "SAVE",
"kind": "coupon",
"name": "Saved coupon",
"sequence": 1,
"shipping_amount": {
"amount": "24.60",
"currency": "PLN",
"minor_units": 2
},
"version": 3
}
],
"id": "order-0000",
"invoice": null,
"invoice_requested": false,
"lifecycle_state": "placed",
"lines": [
{
"discount_amount": {
"amount": "24.60",
"currency": "PLN",
"minor_units": 2
},
"discount_gross": {
"amount": "24.60",
"currency": "PLN",
"minor_units": 2
},
"discount_net": {
"amount": "20.00",
"currency": "PLN",
"minor_units": 2
},
"discount_tax": {
"amount": "4.60",
"currency": "PLN",
"minor_units": 2
},
"discounts": [
{
"amount": {
"amount": "12.30",
"currency": "PLN",
"minor_units": 2
},
"campaign_id": "saved-coupon",
"code": "SAVE",
"kind": "coupon",
"name": "Saved coupon",
"sequence": 1,
"shipping_amount": null,
"version": 3
}
],
"identifiers": {},
"image": null,
"line_id": "saved-line-a",
"manual_discount": {
"amount": {
"amount": "12.30",
"currency": "PLN",
"minor_units": 2
},
"kind": "fixed",
"value": "12.30"
},
"name": "Saved A",
"original_total": {
"amount": "246.00",
"currency": "PLN",
"minor_units": 2
},
"original_total_gross": {
"amount": "246.00",
"currency": "PLN",
"minor_units": 2
},
"original_total_net": {
"amount": "200.00",
"currency": "PLN",
"minor_units": 2
},
"original_total_tax": {
"amount": "46.00",
"currency": "PLN",
"minor_units": 2
},
"position": 1,
"product_id": "product-api",
"quantity": 2,
"sku": "A",
"tax": {
"amount": "20.70",
"currency": "PLN",
"minor_units": 2
},
"tax_category_id": "standard",
"tax_category_name": "VAT 23%",
"tax_rate": "0.23",
"total": {
"amount": "221.40",
"currency": "PLN",
"minor_units": 2
},
"total_gross": {
"amount": "221.40",
"currency": "PLN",
"minor_units": 2
},
"total_net": {
"amount": "180.00",
"currency": "PLN",
"minor_units": 2
},
"total_tax": {
"amount": "41.40",
"currency": "PLN",
"minor_units": 2
},
"unit_gross": {
"amount": "123.00",
"currency": "PLN",
"minor_units": 2
},
"unit_net": {
"amount": "100.00",
"currency": "PLN",
"minor_units": 2
},
"unit_price": {
"amount": "123.00",
"currency": "PLN",
"minor_units": 2
},
"unit_tax": {
"amount": "23.00",
"currency": "PLN",
"minor_units": 2
},
"variant_id": null,
"variant_options": []
},
{
"discount_amount": {
"amount": "0.00",
"currency": "PLN",
"minor_units": 2
},
"discount_gross": {
"amount": "0.00",
"currency": "PLN",
"minor_units": 2
},
"discount_net": {
"amount": "0.00",
"currency": "PLN",
"minor_units": 2
},
"discount_tax": {
"amount": "0.00",
"currency": "PLN",
"minor_units": 2
},
"discounts": [],
"identifiers": {},
"image": null,
"line_id": "b548a171-c331-505f-98f8-db3a06070998",
"manual_discount": null,
"name": "Saved B",
"original_total": {
"amount": "108.00",
"currency": "PLN",
"minor_units": 2
},
"original_total_gross": {
"amount": "108.00",
"currency": "PLN",
"minor_units": 2
},
"original_total_net": {
"amount": "100.00",
"currency": "PLN",
"minor_units": 2
},
"original_total_tax": {
"amount": "8.00",
"currency": "PLN",
"minor_units": 2
},
"position": 2,
"product_id": "deleted-product",
"quantity": 1,
"sku": "B",
"tax": null,
"tax_category_id": "reduced",
"tax_category_name": "VAT 8%",
"tax_rate": "0.08",
"total": {
"amount": "108.00",
"currency": "PLN",
"minor_units": 2
},
"total_gross": {
"amount": "108.00",
"currency": "PLN",
"minor_units": 2
},
"total_net": {
"amount": "100.00",
"currency": "PLN",
"minor_units": 2
},
"total_tax": {
"amount": "8.00",
"currency": "PLN",
"minor_units": 2
},
"unit_gross": {
"amount": "108.00",
"currency": "PLN",
"minor_units": 2
},
"unit_net": {
"amount": "100.00",
"currency": "PLN",
"minor_units": 2
},
"unit_price": {
"amount": "108.00",
"currency": "PLN",
"minor_units": 2
},
"unit_tax": {
"amount": "8.00",
"currency": "PLN",
"minor_units": 2
},
"variant_id": null,
"variant_options": []
}
],
"locale": "pl",
"market_id": "market-pl",
"number": "0001",
"payment": {
"amount": {
"amount": "329.40",
"currency": "PLN",
"minor_units": 2
},
"environment": "live",
"method_code": "payment-old",
"method_name": "Historic method",
"paid_at": null,
"status": "unpaid",
"updated_at": "2026-10-19T10:00:00Z",
"version": 0
},
"pickup_point": null,
"prices_include_tax": true,
"shipping_address": null,
"shipping_discount_amount": {
"amount": "24.60",
"currency": "PLN",
"minor_units": 2
},
"status": {
"id": "status-0",
"name": "Status 0",
"updated_at": "2026-10-19T10:00:00Z",
"version": 1
},
"subtotal": {
"amount": "329.40",
"currency": "PLN",
"minor_units": 2
},
"tax": {
"amount": "49.40",
"currency": "PLN",
"minor_units": 2
},
"tax_breakdown": {
"groups": [
{
"gross": {
"amount": "221.40",
"currency": "PLN",
"minor_units": 2
},
"net": {
"amount": "180.00",
"currency": "PLN",
"minor_units": 2
},
"source": "products",
"tax": {
"amount": "41.40",
"currency": "PLN",
"minor_units": 2
},
"tax_rate": "0.23"
},
{
"gross": {
"amount": "108.00",
"currency": "PLN",
"minor_units": 2
},
"net": {
"amount": "100.00",
"currency": "PLN",
"minor_units": 2
},
"source": "products",
"tax": {
"amount": "8.00",
"currency": "PLN",
"minor_units": 2
},
"tax_rate": "0.08"
},
{
"gross": {
"amount": "0.00",
"currency": "PLN",
"minor_units": 2
},
"net": {
"amount": "0.00",
"currency": "PLN",
"minor_units": 2
},
"source": "shipping",
"tax": {
"amount": "0.00",
"currency": "PLN",
"minor_units": 2
},
"tax_rate": "0.23"
}
],
"unallocated_tax": {
"amount": "0.00",
"currency": "PLN",
"minor_units": 2
}
},
"tax_country_code": "PL",
"total": {
"amount": "329.40",
"currency": "PLN",
"minor_units": 2
},
"totals": {
"before_discounts": {
"gross": {
"amount": "378.60",
"currency": "PLN",
"minor_units": 2
},
"net": {
"amount": "320.00",
"currency": "PLN",
"minor_units": 2
},
"tax": {
"amount": "58.60",
"currency": "PLN",
"minor_units": 2
}
},
"discounts": {
"gross": {
"amount": "49.20",
"currency": "PLN",
"minor_units": 2
},
"net": {
"amount": "40.00",
"currency": "PLN",
"minor_units": 2
},
"tax": {
"amount": "9.20",
"currency": "PLN",
"minor_units": 2
}
},
"order": {
"gross": {
"amount": "329.40",
"currency": "PLN",
"minor_units": 2
},
"net": {
"amount": "280.00",
"currency": "PLN",
"minor_units": 2
},
"tax": {
"amount": "49.40",
"currency": "PLN",
"minor_units": 2
}
},
"product_discounts": {
"gross": {
"amount": "24.60",
"currency": "PLN",
"minor_units": 2
},
"net": {
"amount": "20.00",
"currency": "PLN",
"minor_units": 2
},
"tax": {
"amount": "4.60",
"currency": "PLN",
"minor_units": 2
}
},
"products": {
"gross": {
"amount": "329.40",
"currency": "PLN",
"minor_units": 2
},
"net": {
"amount": "280.00",
"currency": "PLN",
"minor_units": 2
},
"tax": {
"amount": "49.40",
"currency": "PLN",
"minor_units": 2
}
},
"products_before_discounts": {
"gross": {
"amount": "354.00",
"currency": "PLN",
"minor_units": 2
},
"net": {
"amount": "300.00",
"currency": "PLN",
"minor_units": 2
},
"tax": {
"amount": "54.00",
"currency": "PLN",
"minor_units": 2
}
},
"shipping": {
"gross": {
"amount": "0.00",
"currency": "PLN",
"minor_units": 2
},
"net": {
"amount": "0.00",
"currency": "PLN",
"minor_units": 2
},
"tax": {
"amount": "0.00",
"currency": "PLN",
"minor_units": 2
}
},
"shipping_before_discounts": {
"gross": {
"amount": "24.60",
"currency": "PLN",
"minor_units": 2
},
"net": {
"amount": "20.00",
"currency": "PLN",
"minor_units": 2
},
"tax": {
"amount": "4.60",
"currency": "PLN",
"minor_units": 2
}
},
"shipping_discounts": {
"gross": {
"amount": "24.60",
"currency": "PLN",
"minor_units": 2
},
"net": {
"amount": "20.00",
"currency": "PLN",
"minor_units": 2
},
"tax": {
"amount": "4.60",
"currency": "PLN",
"minor_units": 2
}
}
}
},
"meta": {
"request_id": "example-request"
}
}
Поръчка · Общи суми
Сумите и ставките идват от запазената поръчка, включително корекциите на редове. Липсващите исторически данни са null и не се заменят с текущите ставки от каталога. Сумите остават десетични низове.
payment.amount е общата сума на поръчката. Статусът на плащането не определя платени, възстановени или дължими суми.
Необходими права
- Удостоверяване
- Токен за достъп
- Достъпно от
- BASIC
- Право на ключа
- Преглед на поръчките
orders.order:read